diff -r 01e7b9846129 -r 00ddd0656cd6 channels/sip/dialplan_functions.c
--- a/channels/sip/dialplan_functions.c	Fri Jan 17 11:34:34 2014 +0000
+++ b/channels/sip/dialplan_functions.c	Mon Jan 20 12:16:25 2014 +0000
@@ -76,6 +76,8 @@
 		ast_copy_string(buf, ast_sockaddr_isnull(&p->sa) ? "" : ast_sockaddr_stringify_addr(&p->sa), buflen);
 	} else if (!strcasecmp(args.param, "recvip")) {
 		ast_copy_string(buf, ast_sockaddr_isnull(&p->recv) ? "" : ast_sockaddr_stringify_addr(&p->recv), buflen);
+	} else if (!strcasecmp(args.param, "ourip")) {
+		ast_copy_string(buf, ast_sockaddr_isnull(&p->ourip) ? "" : ast_sockaddr_stringify_addr(&p->ourip), buflen);
 	} else if (!strcasecmp(args.param, "from")) {
 		ast_copy_string(buf, p->from, buflen);
 	} else if (!strcasecmp(args.param, "uri")) {
diff -r 01e7b9846129 -r 00ddd0656cd6 funcs/func_channel.c
--- a/funcs/func_channel.c	Fri Jan 17 11:34:34 2014 +0000
+++ b/funcs/func_channel.c	Mon Jan 20 12:16:25 2014 +0000
@@ -198,6 +198,9 @@
 					<enum name="recvip">
 						<para>R/O Get the source IP address of the peer.</para>
 					</enum>
+					<enum name="ourip">
+						<para>R/O Get the IP address of the socket which received the call.</para>
+					</enum>
 					<enum name="from">
 						<para>R/O Get the URI from the From: header.</para>
 					</enum>
